> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/en/api/e-voucher-api/vouchers.md).

# Vouchers

- [Lists Vouchers](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/lists-vouchers.md)
- [Get Voucher HTML](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/get-voucher-html.md)
- [Get Voucher PDF](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/get-voucher-pdf.md)
- [Get Voucher XML](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/get-voucher-xml.md)
- [Assign Tag to Voucher](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/assign-tag-to-voucher.md)
- [Get Tags for Voucher](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/get-tags-for-voucher.md)
- [Gets Transaction History](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/gets-transaction-history.md)
- [Brings Details](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/brings-details.md)
- [Brings Mail Transaction History](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/brings-mail-transaction-history.md)
- [Get Taxes](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/get-taxes.md)
- [Brings Whatsapp Transaction History](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/brings-whatsapp-transaction-history.md)
- [Brings SMS Transaction History](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/brings-sms-transaction-history.md)
- [Gets Email Activities](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/gets-email-activities.md)
- [Bulk Exports Vouchers](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/bulk-exports-vouchers.md)
- [Assigns New Status to Vouchers](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/assigns-new-status-to-vouchers.md)
- [Sends Voucher via Email](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/sends-voucher-via-email.md)
- [Sends Voucher Via Whatsapp](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/sends-voucher-via-whatsapp.md)
- [Sends Voucher Via SMS](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/sends-voucher-via-sms.md)
- [Saves as Draft](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/saves-as-draft.md)
- [Cancels Voucher](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/cancels-voucher.md)
- [Undoes Voucher Cancellation](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/undoes-voucher-cancellation.md)
- [Returns Status Information of the Voucher](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/returns-status-information-of-the-voucher.md)
- [Assign Special Code to Producer](https://developer.nilvera.com/en/api/e-voucher-api/vouchers/assign-special-code-to-producer.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nilvera.com/en/api/e-voucher-api/vouchers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
